DebugContext.StepAction
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.chromium.sdk
Enum DebugContext.StepAction

    java.lang.Object
      java.lang.Enum<DebugContext.StepAction>
          org.chromium.sdk.DebugContext.StepAction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DebugContext.StepAction>

Enclosing interface:
  DebugContext

    public static enum DebugContext.StepAction

extends java.lang.Enum<DebugContext.StepAction>

JavaScript debugger step actions.

Enum Constant Summary
`CONTINUE` Resume the JavaScript execution.
`IN` Step into the current statement.
`OUT` Step out of the current function.
`OVER` Step over the current statement.

Method Summary
`static DebugContext.StepAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DebugContext.StepAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTINUE

    public static final DebugContext.StepAction CONTINUE

  Resume the JavaScript execution.

### IN

    public static final DebugContext.StepAction IN

  Step into the current statement.

### OVER

    public static final DebugContext.StepAction OVER

  Step over the current statement.

### OUT

    public static final DebugContext.StepAction OUT

  Step out of the current function.

Method Detail

### values

    public static DebugContext.StepAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DebugContext.StepAction c : DebugContext.StepAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DebugContext.StepAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD